Bug 1339054 - Need to improve remove-brick failure message when the brick process is down.
Summary: Need to improve remove-brick failure message when the brick process is down.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Rajesh Madaka
URL:
Whiteboard: rebase
Depends On:
Blocks: 1422624 1423406 1438325 1503134
TreeView+ depends on / blocked
 
Reported: 2016-05-24 04:35 UTC by Byreddy
Modified: 2018-09-04 06:31 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1422624 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:29:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:31:22 UTC

Description Byreddy 2016-05-24 04:35:27 UTC
Description of problem:
======================
If we try to remove offline brick, the operation is failing with error message "volume remove-brick start: failed: Found stopped brick <hostname>:/bricks/brick1/a1" and this condition is added newly in 3.7.9-6 build.

Currently we have use force option to remove the offline brick and same thing is expected in the failure message to use force option to remove the offline brick to guide the user.

With this users will know the how to remove the offline brick.


Version-Release number of selected component (if applicable):
=============================================================
glusterfs-3.7.9-6


How reproducible:
=================
Always


Steps to Reproduce:
===================
1. Create a simple volume of any type and start it
2. Kill one of the volume brick
3. Try to remove the killed brick (offline brick) 
4. Check the brick failure error message //message won't convey how to remove the brick.


Failure message getting:
=======================
]# gluster volume remove-brick Dis <hostname>:/bricks/brick1/a1 start
volume remove-brick start: failed: Found stopped brick <hostname>:/bricks/brick1/a1


Actual results:
================
Failure is not saying how to remove the offline brick.

Expected results:
=================
Failure message need to have force option help message to remove the offline brick.

Additional info:

Comment 5 Atin Mukherjee 2017-02-16 13:33:35 UTC
Upstream patch : https://review.gluster.org/16630

Comment 8 Rajesh Madaka 2018-02-20 12:08:08 UTC
Verified this bug for distributed volume and distributed replica volume with 3 node cluster.

Verified scenario:

  -> Created Distributed volume with each brick from each node in 3 node cluster.
  -> Killed one of the volume brick
  -> And tried remove the offline brick using "remove-brick" command
  -> Command thrown proper error message like below
      "volume remove-brick start: failed: Found stopped brick 10.70.35.216:/bricks/brick0/rep3-2. Use force option to remove the offline brick"


-> Above process tried for distributed replica volume also got proper error message.

Verified version:

glusterfs-3.12.2-4

Moving this bug to verified state

Comment 11 errata-xmlrpc 2018-09-04 06:29:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.